<?php

define('_IN_JOHNCMS', 1);

require('../incfiles/core.php');
$lng_forum = core::load_lng('forum');
if (isset($_SESSION['ref']))
    unset($_SESSION['ref']);

$set_forum = $user_id && !empty($datauser['set_forum']) ? unserialize($datauser['set_forum']) : array(
    'farea'    => 1,
    'upfp'     => 0,
    'preview'  => 1,
    'postclip' => 1,
    'postcut'  => 0
);

$ext_arch = array(
    'zip',
    'rar',
    '7z',
    'tar',
    'gz',
    'apk'
);

$ext_audio = array(
    'mp3',
    'amr'
);

$ext_doc = array(
    'txt',
    'pdf',
    'doc',
    'docx',
    'pdf',
    'epub',
    'prc',
    'mobi',
    'rtf',
    'djvu',
    'xls',
    'xlsx'
);

$ext_java = array(
    'sis',
    'sisx',
    'apk'
);

$ext_pic = array(
    'jpg',
    'jpeg',
    'gif',
    'png',
    'bmp'
);

$ext_sis = array(
    'sis',
    'sisx'
);

$ext_video = array(
    '3gp',
    'avi',
    'flv',
    'mpeg',
    'mp4'
);

$ext_win = array(
    'exe',
    'msi'
);

$ext_other = array('wmf');

$error = '';
if (!$set['mod_forum'] && $rights < 7)
    $error = $lng_forum['forum_closed'];
elseif ($set['mod_forum'] == 1 && !$user_id)
    $error = $lng['access_guest_forbidden'];
if ($error) {
    require('../incfiles/head.php');
    echo '<div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32"><p>' . $error . '</p></li></ul></div>';
    require('../incfiles/end.php');
    exit;
}

$headmod = $id ? 'forum,' . $id : 'forum';

// Заголовки страниц форума
if (empty($id)) {
    $textl = '' . $lng['forum'] . '';
} else {
    $req = mysql_query("SELECT `text`, `tags` FROM `forum` WHERE `id`= '" . $id . "'");
    $res = mysql_fetch_assoc($req);
    $url = '/blog/' . functions::garth($res['text']) . '-' . $id . '-p'.$page.'.html'; 
//url seo
    if ($res['tags'] == '') {
        $req      = mysql_query("SELECT `text`, `soft` FROM `forum` WHERE `id`='" . $id . "'");
        $res      = mysql_fetch_assoc($req);
        $metadesc = functions::fixtags($res['text']);
        $metakey  = $metatags = functions::fixchar(functions::fixtags($res['soft']));
        $textl    = $metadesc . '' . ($page > 1 ? ' - Page ' . $page . '' : '') . ' - ' . $set['copyright'];
        $metadesc .= ', ' . $metakey;
    } else {
        $metadesc = functions::fixtags($res['text']);
        $metakey  = $metatags = $res['tags'];
        $textl    = $metadesc . '' . ($page > 1 ? ' - Page ' . $page . '' : '') . ' - ' . $set['copyright'];
        $metadesc .= ', ' . $metakey;
    }
}

// Переключаем режимы работы
$mods = array(
    'addfile',
    'delfile',
    'deltema',
    'editpost',
    'file',
    'files',
    'loadtem',
    'nt',
    'thumb',
    'per',
    'ren',
    'restore',
    'curators'
);
if ($act && ($key = array_search($act, $mods)) !== false && file_exists('includes/' . $mods[$key] . '.php')) {
    require('includes/' . $mods[$key] . '.php');
} else {
    require('../incfiles/head.php');

    if ($id) {
        // Определяем тип запроса (каталог, или тема)
        $type = mysql_query("SELECT * FROM `forum` WHERE `id`= '$id'");
        if (!mysql_num_rows($type)) {
            // Если темы не существует, показываем ошибку
            echo functions::display_error($lng_forum['error_topic_deleted'], '<a href="index.php">' . $lng['to_forum'] . '</a>');
            require('../incfiles/end.php');
            exit;
        }
        $type1 = mysql_fetch_assoc($type);

        // Фиксация факта прочтения Топика
        if ($user_id && $type1['type'] == 't') {
            $req_r = mysql_query("SELECT * FROM `cms_forum_rdm` WHERE `topic_id` = '$id' AND `user_id` = '$user_id' LIMIT 1");
            if (mysql_num_rows($req_r)) {
                $res_r = mysql_fetch_assoc($req_r);
                if ($type1['time'] > $res_r['time'])
                    mysql_query("UPDATE `cms_forum_rdm` SET `time` = '" . time() . "' WHERE `topic_id` = '$id' AND `user_id` = '$user_id' LIMIT 1");
            } else {
                mysql_query("INSERT INTO `cms_forum_rdm` SET `topic_id` = '$id', `user_id` = '$user_id', `time` = '" . time() . "'");
            }
        }

        // Получаем структуру форума
        $res    = TRUE;
        $allow  = 0;
        $parent = $type1['refid'];
        while ($parent != '0' && $res != FALSE) {
            $req = mysql_query("SELECT * FROM `forum` WHERE `id` = '$parent' LIMIT 1");
            $res = mysql_fetch_assoc($req);
            if ($res['type'] == 'f' || $res['type'] == 'r') {
                $tree[] = '<span itemscope itemtype="http://data-vocabulary.org/Breadcrumb" itemscope="itemscope"><a itemprop="url" href="' . $home . '/blog/' . functions::garth($res['text']) . '-' . $parent . '.html"><span itemprop="title">' . $res['text'] . '</span></a></span>';
                if ($res['type'] == 'r' && !empty($res['edit'])) {
                    $allow = intval($res['edit']);
                }
            }
            $parent = $res['refid'];
        }
        $tree[] = '<span itemscope itemtype="http://data-vocabulary.org/Breadcrumb" itemscope="itemscope"><a itemprop="url" href="index.php"><span itemprop="title">' . $lng['forum'] . '</span></a></span>';
        krsort($tree);
        if ($type1['type'] != 't' && $type1['type'] != 'm')
            $tree[] = '<b>' . $type1['text'] . '</b>';

        // Счетчик файлов и ссылка на них
        $sql = ($rights == 9) ? "" : " AND `del` != '1'";
        if ($type1['type'] == 'f') {
            $count = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_forum_files` WHERE `cat` = '$id'" . $sql), 0);
            if ($count > 0)
                $filelink = '<a href="index.php?act=files&amp;c=' . $id . '">' . $lng_forum['files_category'] . '</a>';
        } elseif ($type1['type'] == 'r') {
            $count = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_forum_files` WHERE `subcat` = '$id'" . $sql), 0);
            if ($count > 0)
                $filelink = '<a href="index.php?act=files&amp;s=' . $id . '">' . $lng_forum['files_section'] . '</a>';
        } elseif ($type1['type'] == 't') {
            $count = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_forum_files` WHERE `topic` = '$id'" . $sql), 0);
            if ($count > 0)
                $filelink = '<a href="index.php?act=files&amp;t=' . $id . '">' . $lng_forum['files_topic'] . '</a>';
        }
        $filelink = isset($filelink) ? $filelink . '&#160;<span class="red">(' . $count . ')</span>' : false;

        // Счетчик "Кто в теме?"
        $wholink = false;
        if ($user_id && $type1['type'] == 't') {
            $online_u = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `lastdate` > " . (time() - 300) . " AND `place` = 'forum,$id'"), 0);
            $online_g = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_sessions` WHERE `lastdate` > " . (time() - 300) . " AND `place` = 'forum,$id'"), 0);
            $wholink = '<a href="index.php?act=who&amp;id=' . $id . '">' . $lng_forum['who_here'] . '?</a>&#160;<span class="red">(' . $online_u . '&#160;/&#160;' . $online_g . ')</span><br/>';
        }

        // Выводим верхнюю панель навигации
        echo '<a id="up"></a><p>' .
            '<div class="title">' . functions::display_menu($tree) . '</div>' .
            '<div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32"><a href="search.php?id=' . $id . '">' . $lng['search'] . '</a></li></ul></div>';

        switch ($type1['type']) {
         case 'f':
 
                $req   = mysql_query("SELECT `id`, `text`, `soft`, `edit` FROM `forum` WHERE `type`='r' AND `refid`='$id' ORDER BY `realid`");
                $total = mysql_num_rows($req);
                $check = mysql_query("select * from `f_manager` where `catid` = '$id'");
                $checkc = mysql_fetch_array(mysql_query("select * from  `f_manager` where `catid` = '$id'"));
                $u = mysql_fetch_array(mysql_query("select * from `users` where `id`= '".$checkc['userid']."'"));
                $cate = mysql_fetch_array($check);
                if(mysql_result($check,0) > 0){
echo '<div class="title">Quản lý <b>'.$type1['text'].'</b></div>
<div class="list1"><table width="100%"><tr><td>';
                        echo '</td></tr></table>';
}
                if ($total) {
                 echo '<div class="title"><b>'.$type1['text'].'</b>[<b>'.$total.'</b>]</div>';
                    $i = 0;
                    while (($res = mysql_fetch_assoc($req)) !== FALSE) {
/*    $re   = mysql_query("SELECT `id`, `text`, `soft`, `edit` FROM `forum` WHERE `refid`='".$res['id']."' ORDER BY `time` DESC LIMIT 1"); 
 while($rs = mysql_fetch_assoc($re)) {
Echo '<div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32">• '.$rs['text'].'</li></ul></div>';

}
             */          echo '<div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32">';
                        $coltem = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum` WHERE `type` = 't' AND `refid` = '" . $res['id'] . "'"), 0);
                        echo '<a href="' . $home . '/blog/' . functions::garth($res['text']) . '-' . $res['id'] . '.html">' . $res['text'] . '</a>';
                        if ($coltem)
                            echo " [$coltem]";
                        if (!empty($res['soft']))
                            echo '<div class="sub"><span class="gray">' . $res['soft'] . '</span></div>';
                        echo '</li></ul></div>';
                        ++$i;

                    }
                    unset($_SESSION['fsort_id']);
                    unset($_SESSION['fsort_users']);
                } else {
                    echo '<div class="menu"><p>' . $lng_forum['section_list_empty'] . '</p></div>';
                }
                echo '<div class="title">' . $lng['total'] . ': ' . $total . '</div>';
                break;

            case 'r':
                ////////////////////////////////////////////////////////////
                // Список топиков                                         //
                ////////////////////////////////////////////////////////////
                $total = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum` WHERE `type`='t' AND `refid`='$id'" . ($rights >= 7 ? '' : " AND `close`!='1'")), 0);
                if (($user_id && !isset($ban['1']) && !isset($ban['11']) && $set['mod_forum'] != 4) || core::$user_rights) {
                    // Кнопка создания новой темы
                    echo '<div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32"><form action="index.php?act=nt&amp;id=' . $id . '" method="post"><input type="submit" value="' . $lng_forum['new_topic'] . '" /></form></li></ul></div>';
                }
                if ($total) {
                    $req = mysql_query("SELECT * FROM `forum` WHERE `type`='t'" . ($rights >= 7 ? '' : " AND `close`!='1'") . " AND `refid`='$id' ORDER BY `vip` DESC, `time` DESC LIMIT $start, $kmess");
                    $i = 0;
                    while (($res = mysql_fetch_assoc($req)) !== false) {
                        if ($res['close'])
                            echo '<div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32">';
                        else
                            echo '<div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32">';
                        $nikuser = mysql_query("SELECT `from` FROM `forum` WHERE `type` = 'm' AND `close` != '1' AND `refid` = '" . $res['id'] . "' ORDER BY `time` DESC LIMIT 1");
                        $nam = mysql_fetch_assoc($nikuser);
                        $colmes = mysql_query("SELECT COUNT(*) FROM `forum` WHERE `type`='m' AND `refid`='" . $res['id'] . "'" . ($rights >= 7 ? '' : " AND `close` != '1'"));
                        $colmes1 = mysql_result($colmes, 0);
                        $cpg = ceil($colmes1 / $kmess);
                        $np = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_forum_rdm` WHERE `time` >= '" . $res['time'] . "' AND `topic_id` = '" . $res['id'] . "' AND `user_id`='$user_id'"), 0);
                        // Значки
                       
                        echo functions::display_menu($icons, '');
                        echo '<i class="fa fa-rss"></i> <a href="' . $home . '/blog/' . functions::garth($res['text']) . '-' . $res['id'] . '.html">' . $res['text'] . '</a>';
                        if ($cpg > 1) {
                            echo '<a href="' . $home . '/blog/' . functions::garth($res['text']) . '-' . $res['id'] . '-p' . $cpg . '.html">&#160;&gt;&gt;</a>';
                        }

                        echo '</li></ul></div>';
                        ++$i;
                    }
                   
                } else {
                    echo '<div class="title"><p>' . $lng_forum['topic_list_empty'] . '</p></div>';
                }
                echo '<div class="title">' . $lng['total'] . ': ' . $total . '</div>';
                if ($total > $kmess) {
                    echo '<div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32">' . functions::display_pagination('index.php?id=' . $id . '&amp;', $start, $total, $kmess) . '' .
                        '<p><form action="index.php?id=' . $id . '" method="post">' .
                        '<input type="text" name="page" size="2"/>' .
                        '<input type="submit" value="' . $lng['to_page'] . ' &gt;&gt;"/>' .
                        '</form></p></li></ul></div>';
                }
                break;

            case 't':

                $filter = isset($_SESSION['fsort_id']) && $_SESSION['fsort_id'] == $id ? 1 : 0;
                $sql = '';
                if ($filter && !empty($_SESSION['fsort_users'])) {
                    // Подготавливаем запрос на фильтрацию юзеров
                    $sw = 0;
                    $sql = ' AND (';
                    $fsort_users = unserialize($_SESSION['fsort_users']);
                    foreach ($fsort_users as $val) {
                        if ($sw)
                            $sql .= ' OR ';
                        $sortid = intval($val);
                        $sql .= "`forum`.`user_id` = '$sortid'";
                        $sw = 1;
                    }
                    $sql .= ')';
                }

                // Если тема помечена для удаления, разрешаем доступ только администрации
                if ($rights < 6 && $type1['close'] == 1) {
                    echo '<div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32"><p>' . $lng_forum['topic_deleted'] . '<br/><a href="?id=' . $type1['refid'] . '">' . $lng_forum['to_section'] . '</a></p></li></ul></div>';
                    require('../incfiles/end.php');
                    exit;
                }
				/////bbbb////
                // Счетчик постов темы
                $colmes = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum` WHERE `type`='m'$sql AND `refid`='$id'" . ($rights >= 7 ? '' : " AND `close` != '1'")), 0);
                if ($start >= $colmes) {
                    // Исправляем запрос на несуществующую страницу
                    $start = max(0, $colmes - (($colmes % $kmess) == 0 ? $kmess : ($colmes % $kmess)));
                }

                // Выводим название топика
                echo '<div class="title"><h1>' . $type1['text'] . '</h1></div><div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32">' . sharelink(functions::garth($type1['text']), $type1['id']) . '</li></ul></div>';
$cbk = mysql_fetch_array(mysql_query("select * from `forum` where `id` = '".$res['id']."'"));
                if ($colmes > $kmess) {
                    echo '<div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32">' . functions::display_pagination2('' . $home . '/blog/' . functions::garth($type1["text"]) . '-' . $id, $start, $colmes, $kmess) . '</li></ul></div>';
                }

                // Получаем данные о кураторах темы
                $curators = !empty($type1['curators']) ? unserialize($type1['curators']) : array();
                $curator = false;
                if ($rights < 6 && $rights != 3 && $user_id) {
                    if (array_key_exists($user_id, $curators)) $curator = true;
                }

                // Фиксация первого поста в теме
                if (($set_forum['postclip'] == 2 && ($set_forum['upfp'] ? $start < (ceil($colmes - $kmess)) : $start > 0)) || isset($_GET['clip'])) {
                    $postreq = mysql_query("SELECT `forum`.*, `users`.`sex`, `users`.`rights`, `users`.`lastdate`, `users`.`status`, `users`.`datereg`
                    FROM `forum` LEFT JOIN `users` ON `forum`.`user_id` = `users`.`id`
                    WHERE `forum`.`type` = 'm' AND `forum`.`refid` = '$id'" . ($rights >= 7 ? "" : " AND `forum`.`close` != '1'") . "
                    ORDER BY `forum`.`id` LIMIT 1");
                    $postres = mysql_fetch_assoc($postreq);
                    echo '<div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32"><p>';
                    echo (time() > $postres['lastdate'] + 300 ? functions::image('offline.png') : functions::image('online.png'));
                    if ($user_id && $user_id != $postres['user_id']) {
                        echo '<a href="../users/profile.php?user=' . $postres['user_id'] . '&amp;fid=' . $postres['id'] . '"><b>' . $postres['from'] . '</b></a> ' . '<a href="index.php?act=say&amp;id=' . $postres['id'] . '&amp;start=' . $start . '"> ' . $lng_forum['reply_btn'] . '</a> ' . '<a href="index.php?act=say&amp;id=' . $postres['id'] . '&amp;start=' . $start . '&amp;cyt"> ' . $lng_forum['cytate_btn'] . '</a> ';
                    } else {
                        echo '<b>' . $postres['from'] . '</b> ';
                    }
                    $user_rights = array(
                        9 => '(<span style="color:red;">SV!</span>)'
                    );
                    echo @$user_rights[$postres['rights']];
                    echo ' <span class="gray">(' . functions::display_date($postres['time']) . ')</span><br/>';
                    if ($postres['close']) {
                        echo '<span class="red">' . $lng_forum['post_deleted'] . '</span><br/>';
                    }
                    echo functions::checkout(mb_substr($postres['text'], 0, 500), 0, 2);
                    if (mb_strlen($postres['text']) > 500)
                        echo '...<a href="index.php?act=post&amp;id=' . $postres['id'] . '">' . $lng_forum['read_all'] . '</a>';
                    echo '</p></li></ul></div>';
                }

                // Памятка, что включен фильтр
                if ($filter) {
                    echo '<div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32">' . $lng_forum['filter_on'] . '</li></ul></div>';
                }

                // Задаем правила сортировки (новые внизу / вверху)
                if ($user_id) {
                    $order = $set_forum['upfp'] ? 'DESC' : 'ASC';
                } else {
                    $order = ((empty($_SESSION['uppost'])) || ($_SESSION['uppost'] == 0)) ? 'ASC' : 'DESC';
                }

                $req = mysql_query("
                  SELECT `forum`.*, `users`.`sex`,`users`.`name_lat`, `users`.`rights`,`users`.`postforum`,`users`.`poin` , `users`.`lastdate`, `users`.`status`, `users`.`datereg`, `users`.`fbID`, `users`.`balans`
                  FROM `forum` LEFT JOIN `users` ON `forum`.`user_id` = `users`.`id`
                  WHERE `forum`.`type` = 'm' AND `forum`.`refid` = '$id'"
                    . ($rights >= 7 ? "" : " AND `forum`.`close` != '1'") . "$sql
                  ORDER BY `forum`.`id` $order LIMIT $start, $kmess
                ");

                // Верхнее поле "Написать"
                if (($user_id && !$type1['edit'] && $set_forum['upfp'] && $set['mod_forum'] != 3 && $allow != 4) || ($rights >= 7 && $set_forum['upfp'])) {
                    echo '<div class="gmenu"><form name="form1" action="index.php?act=say&amp;id=' . $id . '" method="post">';
                    if ($set_forum['farea']) {
                        $token             = mt_rand(1000, 100000);
                        $_SESSION['token'] = $token;
                        echo '<p>' . bbcode::auto_bb('form1', 'msg') . '<textarea rows="' . $set_user['field_h'] . '" name="msg"></textarea></p>' . '<p><input type="checkbox" name="addfiles" value="1" /> ' . $lng_forum['add_file'] . ($set_user['translit'] ? '<br /><input type="checkbox" name="msgtrans" value="1" /> ' . $lng['translit'] : '') . '</p><p><input type="submit" name="submit" value="' . $lng['write'] . '" style="width: 107px; cursor: pointer;"/> ' . ($set_forum['preview'] ? '<input type="submit" value="' . $lng['preview'] . '" style="width: 107px; cursor: pointer;"/>' : '') . '<input type="hidden" name="token" value="' . $token . '"/>' . '</p></form></div>';
                    } else {
                        echo '<p><input type="submit" name="submit" value="' . $lng['write'] . '"/></p></form></div>';
                    }
                }

/////as/////

                while (($res = mysql_fetch_assoc($req)) !== false) {
                    echo '<div id="' . $res['id'] . '" class="mainblok"><div class="infomation pad bgwhite">';



                    if ($set_user['avatar']) {
                        echo '<table cellspacing="0"><tr><td>';
                        if (file_exists(('../account/avatar/' . $res['user_id'] . '.png')))
                            echo '<a href="../account/avatar/' . $res['user_id'] . '.png" title="'.$res['from'].'"><img class="avatar" src="../account/avatar/' . $res['user_id'] . '.png" width="48" height="48" alt="' . $res['from'] . '" /></a>&#160;';
                        echo '</td><td>';
                    }

                    // Ник юзера и ссылка на его анкету
 
$ri = mysql_query("select * from `f_manager` where `catid` = '".$cbk['id']."' and `userid` = '".$res['user_id']."'");
$setup = mysql_result($ri,0); 
                    echo '<i class="fa fa-user"></i> <b>' . nick($res['user_id']) . '</b> ';
                   
                  
                    echo @$user_rights[$res['rights']];
					echo '</br>';
echo '<i class="fa fa-clock-o"></i> ' . functions::thoigian($res['time']) . '</div>';

                    // Статус юзера
                    if (!empty($res['status']))
                        echo '<div class="status">' . functions::image('label.png', array(
                            'class' => 'icon-inline'
                        )) . $res['status'] . '</div>';
					
                    if ($set_user['avatar'])
                        echo '</td></tr></table>';
                    //echo '<strong class="newIndicator"><span></span>New</strong>';
                    echo '</div>';
                    if ($res['close'])
                        echo '<div class="rmenu">';
                    else
///////so///////
                        echo '';
$trang = $_GET['trang'];
if(empty($trang)) $trang=1;
$show = '10000';
$tx = $res['text'];
$strrpos = mb_strrpos($tx, " ");
$total = 1;
if(isset($trang)){
$trang = abs(intval($trang));
if($trang == 0)
$trang = 1;
$start = $trang-1;
}else{
$trang = $start+1; }
$ta = 0;
if($strrpos){
while($ta < $strrpos){
$string = mb_substr($tx, $ta, $show);
$tb = mb_strrpos($string, " ");
$m_sim = $tb;
$strings[$total] = $string;
$ta = $tb + $ta;
if($trang == $total){
$nd = $strings[$total]; }
if($strings[$total] == ""){
$ta = $strrpos++;
}else{
$total++; } }
if($trang >= $total){
$trang = $total-1;
$nd = $strings[$trang]; }
$total = $total-1;
if($trang != $total){
$prb = mb_strrpos($nd, " ");
$nd = mb_substr($nd, 0, $prb); } }
else{
$nd = $tx; }
$text = $nd;
$text = functions::checkout($text, 1, 1);
if ($set_user['smileys'])
$text = functions::smileys($text, $res['rights'] ? 1 : 0);
echo '<div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32">'.$text.'</li></ul></div><center><div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32">';
if(empty($trang)) $trang=1;
if($total > 1){
if($trang != 1) $pervpage = ' <a class="pagenav" href= "/blog/' . functions::garth($type1['text']) . '_' . $id . '_trang-'.($trang-1).'.html" title="'.$type1['text'].'">«</a> ';
if($trang != $total) $nextpage = ' <a class="pagenav" href="/blog/' . functions::garth($type1['text']) . '_'.$id.'_trang-'.($trang+1).'.html" title="'.$type1['text'].'">»</a>';
if($trang-4 > 0) $first = '<a class="pagenav" href="/blog/' . functions::garth($type1['text']) . '_'.$id.'.html" title="'.$type1['text'].'">1</a>...';
if($trang+4 <= $total) $last = '...<a class="pagenav" href="/blog/' . functions::garth($type1['text']) . '_'.$id.'_trang-'.$total.'.html" title="'.$type1['text'].'">'.$total.'</a>';
if($trang-2 > 0) $trang2left = ' <a class="pagenav" href= "/blog/' . functions::garth($type1['text']) . '_'.$id.'_trang-'.($trang-2).'.html" title="'.$type1['text'].'">'.($trang-2).'</a> ';
if($trang-1 > 0) $trang1left = '<a class="pagenav" href= "/blog/' . functions::garth($type1['text']) . '_'.$id.'_trang-'.($trang-1).'.html" title="'.$type1['text'].'">'.($trang-1).'</a> ';
if($trang+2 <= $total) $trang2right = ' <a class="pagenav" href= "/blog/' . functions::garth($type1['text']) . '_'.$id.'_trang-'.($trang+2).'.html" title="'.$type1['text'].'">'.($trang+2).'</a>';
if($trang+1 <= $total) $trang1right = ' <a class="pagenav" href="/blog/' . functions::garth($type1['text']) . '_'.$id.'_trang-'.($trang+1).'.html" title="'.$type1['text'].'">'.($trang+1).'</a>';
if($total > 1) $xemngay = '<div class="trang" title="'.$type1['text'].'">'.$pervpage.$first.$trang2left.$trang1left.'<b class="page">'.$trang.'</b>'.$trang1right.$trang2right.$last.$nextpage.'</div>';
echo ''.$xemngay.'';
echo'<p><form action="/blog/chuyen-trang.php" method="get"><input type="hidden" name="url" value="' . functions::garth($type1['text']) . '_'.$id.'"><input type="text" name="trang" size="2"/><input type="submit" value="Go››"/></form></li></ul></div></center></p>';
}
                    // Если пост редактировался, показываем кем и когда
/////
          echo '<div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32">';       
 
                    // Nếu có một tập tin đính kèm, Hiển thị một mô tả
                    $checkdatefile = mysql_result(mysql_query("select count(*) from `muafile` where `idfile` = '" . $res['id'] . "' and `type`= '1'"), 0);
                    $fil           = mysql_fetch_array(mysql_query("select * from `banfile` where `idfile` = '" . $res['id'] . "'"));
                    $file          = mysql_result(mysql_query("select * from `muafile` where `idfile` = '" . $res['id'] . "' and `iduser` = '$user_id'"), 0);
                    $filed         = mysql_fetch_array(mysql_query("select * from `muafile` where `idfile` = '" . $res['id'] . "'"));
                    $showf         = mysql_result(mysql_query("select count(*) from `muafile` where `idfile` = '" . $res['id'] . "'"), 0);
                    $freq          = mysql_query("SELECT * FROM `cms_forum_files` WHERE `post` = '" . $res['id'] . "'");
                    if ($checkdatefile > 0) { // Nếu file này được giao bán
                        if (mysql_num_rows($freq) > 0) {
                            echo '<div class="attachedFiles"><div class="attachedFilesHeader">' . $lng_forum['attached_file'] . ':' . ($fil['iduser'] == $user_id ? '[<a href="index.php?id=' . $res['id'] . '&act=editpf"> Sửa poin </a>]' : '') . '&#160;(<b style="color: red">' . $filed['giatri'] . '</b> poin )</div><ul class="attachmentList">';
                            if ($file > 0) { // Nếu thành viên đã mua thì cho hiển thị
                                while ($fres = mysql_fetch_assoc($freq)) {
                                    $fls     = round(@filesize('../files/blog/attach/' . $fres['filename']) / 1024, 2);
                                    // Xem trước hình thu nhỏ
                                    $att_ext = strtolower(functions::format('./files/blog/attach/' . $fres['filename']));
                                    $pic_ext = array(
                                        'gif',
                                        'jpg',
                                        'jpeg',
                                        'png'
                                    );
                                    if (in_array($att_ext, $pic_ext)) {
                                        echo '<li ' . ($is_mobile ? 'style="width: 100%;"' : 'style="width: 50%;"') . ' class="attachment" ><div class="boxModelFixer"><div class="thumbnail"><a class="SquareThumb" href="index.php?act=file&amp;id=' . $fres['id'] . '&fid='.$res['id'].'"">';
                                        echo '<img itemprop="screenshot" src="thumbinal.php?file=' . (urlencode($fres['filename'])) . '" alt="' . $lng_forum['click_to_view'] . '" /></a></div>';
                                    } else {
                                        echo '<li ' . ($is_mobile ? 'style="width: 100%;"' : 'style="width: 50%;"') . ' class="attachment" ><div class="boxModelFixer"><div class="thumbnail"><a class="genericAttachment SquareThumb" itemprop="screenshot" href="index.php?act=file&amp;id=' . $fres['id'] . '&fid='.$res['id'].'"></a></div>';
                                    }
                                    echo '<div class="attachmentInfo pairsJustified"><a itemprop="downloadUrl" href="index.php?act=file&amp;id=' . $fres['id'] . '&fid='.$res['id'].'">' . $fres['filename'] . '</a>&#160;' . functions::image('logined.png') . '</br>' . $fls . ' KB</br>' . $fres['dlcount'] . ' download ( <a href="/blog/index.php?id=' . $res['id'] . '&act=showbf"><b>';
                                    if ($checkdatefile == 1) {
                                        echo '' . ($showf - 1) . '</b> lượt mua</a> )';
                                    } else {
                                        echo '' . $checkdatefile . '</b> lượt mua</a> )';
                                    }
                                    $file_id = $fres['id'];
                                    if ($rights == 3 || $rights >= 6)
                                        echo ' <a href="index.php?act=delfile&id=' . $fres['id'] . '">Xóa</a>';
                                    if ($fls == 0) {
                                        echo 'File đã bị xóa';
                                    }
                                    echo "</div></li>";
                                    ++$i;
                                }
                            } else { // Nếu chưa mua
                                echo '<li ' . ($is_mobile ? 'style="width: 100%;"' : 'style="width: 50%;"') . ' class="attachment" ><div class="boxModelFixer">' . ($user_id ? '<a href="/blog/index.php?id=' . $res['id'] . '&act=buyfile&page='.$page.'"><b>Mua</b></a>' : '') . '<br />(<a href="/blog/index.php?id=' . $res['id'] . '&act=showbf"><b>';
                                if ($checkdatefile == 1) {
                                    echo '' . ($showf - 1) . '</b> lượt mua</a> )';
                                } else {
                                    echo '' . $checkdatefile . '</b> lượt mua</a> )';
                                }
								if ($rights == 3 ||$rights >= 6)
                                        echo ' <a href="index.php?act=delfile&id=' . $fres['id'] . '">Xóa</a>';
                                echo '</div></li>';
                            }
                            echo "</ul></div>";
                        }
                    } else { // Nếu file miễn phí
                        if (mysql_num_rows($freq) > 0) {
                            echo '<div class="attachedFiles"><div class="attachedFilesHeader">' . $lng_forum['attached_file'] . ':</div><ul class="attachmentList">';
                            while ($fres = mysql_fetch_assoc($freq)) {
                                $fls     = round(@filesize('../files/blog/attach/' . $fres['filename']) / 1024, 2);
                                // Xem trước hình thu nhỏ
                                $att_ext = strtolower(functions::format('./files/blog/attach/' . $fres['filename']));
                                $pic_ext = array(
                                    'gif',
                                    'jpg',
                                    'jpeg',
                                    'png'
                                );
                                if (in_array($att_ext, $pic_ext)) {
                                    echo '<li ' . ($is_mobile ? 'style="width: 100%;"' : 'style="width: 50%;"') . ' class="attachment" ><div class="boxModelFixer"><div class="thumbnail"><a class="SquareThumb" href="index.php?act=file&amp;id=' . $fres['id'] . '&fid='.$res['id'].'"">';
                                    echo '<img itemprop="screenshot" src="thumbinal.php?file=' . (urlencode($fres['filename'])) . '" alt="' . $lng_forum['click_to_view'] . '" /></a></div>';
                                } else {
                                    echo '<li ' . ($is_mobile ? 'style="width: 100%;"' : 'style="width: 50%;"') . ' class="attachment" ><div class="boxModelFixer"><div class="thumbnail"><a class="genericAttachment SquareThumb" itemprop="screenshot" href="index.php?act=file&amp;id=' . $fres['id'] . '&fid='.$res['id'].'""></a></div>';
                                }
                                echo '<div class="attachmentInfo pairsJustified"><a itemprop="downloadUrl" href="index.php?act=file&amp;id=' . $fres['id'] . '&fid='.$res['id'].'">' . $fres['filename'] . '</a></br>' . $fls . ' KB</br>' . $fres['dlcount'] . ' lượt tải';
                                $file_id = $fres['id'];
                                if ($rights == 3 ||$rights >= 6)
                                    echo ' <a href="index.php?act=delfile&id=' . $fres['id'] . '">Xóa</a>';
                                if ($fls == 0) {
                                    echo 'File đã bị xóa';
                                }
                                echo "</div></li>";
                                ++$i;
                            }
                            echo "</ul></div>";
                        }
                    }
echo '</li></ul></div>';
					
                    // Ссылки на редактирование / удаление постов
                    if (
                        (($rights == 3 || $rights >= 6 || $curator) && $rights >= $res['rights'])
                        || ($res['user_id'] == $user_id && !$set_forum['upfp'] && ($start + $i) == $colmes && $res['time'] > time() - 300)
                        || ($res['user_id'] == $user_id && $set_forum['upfp'] && $start == 0 && $i == 1 && $res['time'] > time() - 300)
                        || ($i == 1 && $allow == 2 && $res['user_id'] == $user_id)
                    ) {
                        echo '<div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32"><center>';
                        $menu = array(
                            //Hien thi nut them file
                            ($res['time'] > time() - 300 || $rights == 3 || $rights >= 6 ? '<i class="fa fa-cloud-upload"></i> <a href="index.php?id=' . $res['id'] . '&amp;act=addfile">' . $lng_forum['add_file'] . '</a>' : ''),
                            '<i class="fa fa-picture-o"></i> <a href="index.php?act=thumb&amp;id=' . $id . '">Thumbnail</a> / <i class="fa fa-pencil"></i> <a href="index.php?act=editpost&amp;id=' . $res['id'] . '">' . $lng['edit'] . '</a>',);
                        echo functions::display_menu($menu);
                    
                    }
                    echo '</center></div></div></div>';
                    ++$i;
                }
        


                // Постраничная навигация
                if ($colmes > $kmess) {
                    echo '<div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32">' . functions::display_pagination2('' . $home . '/blog/' . functions::garth($type1["text"]) . '-' . $id, $start, $colmes, $kmess) . '</li></ul></div>' .
                        '<p><form action="index.php?id=' . $id . '" method="post">' .
                        '<input type="text" name="page" size="2"/>' .
                        '<input type="submit" value="' . $lng['to_page'] . ' &gt;&gt;"/>' .
                        '</form></p>';
                } else {
                  
                }

                // Список кураторов
                if ($curators) {
                    $array = array();
                    foreach ($curators as $key => $value) {
                        $array[] = '<a href="../users/profile.php?user=' . $key . '">' . $value . '</a>';
                    }
                    echo '<div class="func">' . $lng_forum['curators'] . ': ' . implode(', ', $array) . '</div>';
                }
/////tags//////
echo '</form><div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32"><i class="fa fa-tags"></i> Tags - Từ khóa: ';
$cho =$textl;
$arr = explode(" ",$cho);
$dem =count($arr);
for ($dem2=0; $dem2<$dem; $dem2++)
{
echo'<a href="'.$home.'/blog/search.php?search='.urlencode($arr[$dem2]).'">'.bbcode::tags($arr[$dem2]).'</a>, ';
}
echo '</li></ul></div>';
////CLGT///
$req = mysql_query("SELECT * FROM `forum` WHERE `type`='t' AND `refid`='$type1[refid]' AND `id`!='$id' ORDER BY `vip` DESC, `time` DESC LIMIT 5");
$total = mysql_num_rows($req);

////
$req = mysql_query("SELECT * FROM `forum` WHERE `type`='t' AND `refid`='$type1[refid]' AND `id`!='$id' ORDER BY `vip` DESC, `time` DESC LIMIT 3");
$total = mysql_num_rows($req);

echo '<div class="title"><i class="fa fa-folder-open"></i> Cùng chuyên mục</div>';
while ($res = mysql_fetch_assoc($req)) {
echo '<article> <i class="fa fa-rss"></i> <a href="'.$home.'/blog/'.functions::garth($res['text']).'_' . $res['id'] . '.html">' . $res['text'] . '</a>
<span class="value-title" title="';
echo date("d-m-Y", $res['time']);
echo 'T19:00+07:00"></span>
</span></article>';
++$i;}

//////////////////////////
//Admin Cpanel

if($rights >=9){
echo '<div class="title"><i class="fa fa-paw" aria-hidden="true"></i> Admin Tools</div>
<div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32"><i class="fa fa-cog"></i> <a href="index.php?act=ren&amp;id=' . $id . '">Thay đổi tiêu đề</a></li></ul></div>

<div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32"><i class="fa fa-cog"></i> <a href="index.php?act=deltema&amp;id=' . $id . '">Xóa bài viết</a></li></ul></div>';
                    if ($type1['close'] == 1)
echo '<div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32"><i class="fa fa-cog"></i> <a href="index.php?act=restore&amp;id=' . $id . '">Khôi phục bài viết</a></li></ul></div>';
echo '<div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32"><i class="fa fa-cog"></i> <a href="index.php?act=per&amp;id=' . $id . '">Di chuyển bài viết</a></li></ul></div>';
}
                if ($colmes > $kmess) {
                    echo '<div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32">' . functions::display_pagination2(''.$home.'/blog/'.functions::nhanhnao($type1["text"]).'_' . $id, $start, $colmes, $kmess) . '</li></ul></div>' .
                        '<p><form action="index.php?id=' . $id . '" method="post">' .
                        '<input type="text" name="page" size="2"/>' .
                        '<input type="submit" value="' . $lng['to_page'] . ' &gt;&gt;"/>' .
                        '</form></p>';
                } else {
                }
                if ($curators) {
                    $array = array();
                    foreach ($curators as $key => $value) {
                        $array[] = '<a href="../users/profile.php?user=' . $key . '">' . $value . '</a>';
                    }
                    echo '<p><div class="func">' . $lng_forum['curators'] . ': ' . implode(', ', $array) . '</div></p>';
                }
                break;
            default:
                echo functions::display_error($lng['error_wrong_data']);
                break;
        }
    } else {
$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_forum_files`" . ($rights >= 7 ? '' : " WHERE `del` != '1'")), 0);
include 'cm.php';
unset($_SESSION['fsort_id']);
unset($_SESSION['fsort_users']);
}
echo '</p>';
}
require_once('../incfiles/end.php');