<?php

function xss_clean($data) {
// Fix &entity\n;
$data = str_replace(array('&amp;','&lt;','&gt;'), array('&amp;amp;','&amp;lt;','&amp;gt;'), $data);
$data = preg_replace('/(&#*\w+)[\x00-\x20]+;/u', '$1;', $data);
$data = preg_replace('/(&#x*[0-9A-F]+);*/iu', '$1;', $data);
$data = html_entity_decode($data, ENT_COMPAT, 'UTF-8');

// Remove any attribute starting with "on" or xmlns
$data = preg_replace('#(<[^>]+?[\x00-\x20"\'])(?:on|xmlns)[^>]*+>#iu', '$1>', $data);

// Remove javascript: and vbscript: protocols
$data = preg_replace('#([a-z]*)[\x00-\x20]*=[\x00-\x20]*([`\'"]*)[\x00-\x20]*j[\x00-\x20]*a[\x00-\x20]*v[\x00-\x20]*a[\x00-\x20]*s[\x00-\x20]*c[\x00-\x20]*r[\x00-\x20]*i[\x00-\x20]*p[\x00-\x20]*t[\x00-\x20]*:#iu', '$1=$2nojavascript...', $data);
$data = preg_replace('#([a-z]*)[\x00-\x20]*=([\'"]*)[\x00-\x20]*v[\x00-\x20]*b[\x00-\x20]*s[\x00-\x20]*c[\x00-\x20]*r[\x00-\x20]*i[\x00-\x20]*p[\x00-\x20]*t[\x00-\x20]*:#iu', '$1=$2novbscript...', $data);
$data = preg_replace('#([a-z]*)[\x00-\x20]*=([\'"]*)[\x00-\x20]*-moz-binding[\x00-\x20]*:#u', '$1=$2nomozbinding...', $data);

// Only works in IE: <span style="width: expression(alert('Ping!'));"></span>
$data = preg_replace('#(<[^>]+?)style[\x00-\x20]*=[\x00-\x20]*[`\'"]*.*?expression[\x00-\x20]*\([^>]*+>#i', '$1>', $data);
$data = preg_replace('#(<[^>]+?)style[\x00-\x20]*=[\x00-\x20]*[`\'"]*.*?behaviour[\x00-\x20]*\([^>]*+>#i', '$1>', $data);
$data = preg_replace('#(<[^>]+?)style[\x00-\x20]*=[\x00-\x20]*[`\'"]*.*?s[\x00-\x20]*c[\x00-\x20]*r[\x00-\x20]*i[\x00-\x20]*p[\x00-\x20]*t[\x00-\x20]*:*[^>]*+>#iu', '$1>', $data);

// Remove namespaced elements (we do not need them)
$data = preg_replace('#</*\w+:\w[^>]*+>#i', '', $data);

do
{
	// Remove really unwanted tags
	$old_data = $data;
	$data = preg_replace('#</*(?:applet|b(?:ase|gsound|link)|embed|frame(?:set)?|i(?:frame|layer)|l(?:ayer|ink)|meta|object|s(?:cript|tyle)|title|xml)[^>]*+>#i', '', $data);
}
while ($old_data !== $data);

// we are done...
return $data;
}



function nick($id, $mod = false) { 
$ban = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_ban_users` WHERE `user_id` = '" . $id . "' AND `ban_time` > '" . time() . "'"), 0); 
$user = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id` = '" . $id . "'")); 
if($ban > 0) { 
$out .= '<font color="black">'.($mod == 1 ? '<small>' : '<b>').'<s>' . $user['name'] . '</s>'.($mod == 1 ? '</small>' : '</b>').'</font>'; 
} else { 
if($user['rights'] >= 0) { 
if($user['rights'] == 0) {$font = '<font >';} 
if($user['rights'] == 3) {$font = '<font color="green">';} 
if($user['rights'] == 4) {$font = '<font color="green">';}
if($user['rights'] == 5) {$font = '<font color="green">';} 
if($user['rights'] == 6) {$font = '<font color="blue">';} 
if($user['rights'] == 7) {$font = '<font color="red">';} 
if($user['rights'] == 9) {$font = '<font color="red">';} 
$out .= ''.$font.'' . $user['name'] . '</font>'; 
} else { 
$out .= '<font color="#176093">' . $user['name'] . '</font>'; 
} 
} 
return $out; 
}
function sharelink($link,$id){
global $home,$textl;
$fb = '<a target="_blank" href="http://facebook.com/sharer/sharer.php?u='.$home.'/forum/'.$link.'_'.$id.'.html&t='.$textl.'" title="Facebook"><i class="fa fa-facebook-square fa-2x"></i></a>';
$gg = '<a target="_blank" href="https://plus.google.com/share?url='.$home.'/forum/'.$link.'_'.$id.'.html" title=Google"><i class="fa fa-google-plus-square fa-2x style="color:#F44336"></i></a>';
$tw = '<a target="_blank" href="http://twitter.com/share?url='.$home.'/forum/'.$link.'_'.$id.'.html&text='.$textl.'" title="Twitter"><i class="fa fa-twitter-square fa-2x"></i></a>';
$div = ''.$fb.'&#160;'.$gg.'&#160;'.$tw.'';
return $div;
}



function catchuoi($chuoi, $gioihan) {
$chuoi = preg_replace('#\[b\](.*?)\[/b\]#si', '\1',$chuoi);
$chuoi = preg_replace('#\[i\](.*?)\[/i\]#si', '\1',$chuoi);
$chuoi = preg_replace('#\[u\](.*?)\[/u\]#si', '\1',$chuoi);
$chuoi = preg_replace('#\[s\](.*?)\[/s\]#si', '\1',$chuoi);
$chuoi = preg_replace('#\[center\](.*?)\[/center\]#si', '\1',$chuoi);
$chuoi = preg_replace("#\[url=(. ?)\](. ?)\[/url\]#is", "\\1",$chuoi);
$chuoi = preg_replace("#\[URL=(. ?)\](. ?)\[/URL\]#is", "\\2",$chuoi);
$chuoi = preg_replace("#\[COLOR=(.*?)\](.*?)\[/COLOR\]#is", "\\2",$chuoi);
$chuoi = preg_replace("#\[SIZE=(.*?)\](. ?)\[/SIZE\]#is", "\\2",$chuoi);
$chuoi = preg_replace("#\[FONT=(.*?)\](. ?)\[/FONT\]#is", "\\2",$chuoi);
$chuoi = preg_replace("#\[BG=(.*?)\](. ?)\[/BG\]#is", "\\2",$chuoi);
$chuoi = preg_replace("#\[AUDIO\](.*?)\[/AUDIO\]#is", "\\1",$chuoi);
$chuoi = preg_replace("#\[CODE=(.*?)\](. ?)\[/CODE\]#is", "\\2",$chuoi);
$chuoi = preg_replace("#\[PHP=(.*?)\](. ?)\[/PHP\]#is", "\\2",$chuoi);
$chuoi = preg_replace("#\[IMG\](. ?)\[/IMG\]#is", "\\1",$chuoi);
$chuoi = str_replace('<br/>','',$chuoi);
$chuoi = str_replace('[code]','',$chuoi);
$chuoi = str_replace('[/code]','',$chuoi);
$chuoi = str_replace('[php]','',$chuoi);
$chuoi = str_replace('[/php]','',$chuoi);
$chuoi = str_replace('[video]','',$chuoi);
$chuoi = str_replace('[/video]','',$chuoi);
$chuoi = str_replace('[phim]','',$chuoi);
$chuoi = str_replace('[/phim]','',$chuoi);
$chuoi = str_replace('[youtube]','',$chuoi);
$chuoi = str_replace('[/youtube]','',$chuoi);
$chuoi = str_replace('[audio]','',$chuoi);
$chuoi = str_replace('[/audio]','',$chuoi);
$chuoi = str_replace('[img]','',$chuoi);
$chuoi = str_replace('[/img]','',$chuoi);
$chuoi = str_replace('[IMG]','',$chuoi);
$chuoi = str_replace('[/IMG]','',$chuoi);
$chuoi = str_replace('[b]','',$chuoi);
$chuoi = str_replace('[/b]','',$chuoi);
$chuoi = str_replace('[i]','',$chuoi);
$chuoi = str_replace('[/i]','',$chuoi);
$chuoi = str_replace('[url=','',$chuoi);
$chuoi = str_replace('[/url]','',$chuoi);

if (strlen($chuoi) <= $gioihan) {
return $chuoi;
} else {
if (strpos($chuoi," ",$gioihan) > $gioihan) {
$new_gioihan=strpos($chuoi," ",$gioihan);
$new_chuoi = substr($chuoi,0,$new_gioihan);
return ''.$new_chuoi.'...';
}
$new_chuoi = substr($chuoi,0,$gioihan);
return $new_chuoi.'...';
}
}
?>