<?php

define('_IN_JOHNCMS',1);
require('../incfiles/core.php');
if ($user['id'] != $user_id && ($rights < 7 || $user['rights'] > $rights)) {
    echo functions::display_error($lng['access_forbidden']);
    require('../incfiles/end.php');
    exit;
}
$user = $datauser;
$textl = 'Thay mật khẩu';
require('../incfiles/head.php');

switch ($mod) {
    case 'change':
        /*
        -----------------------------------------------------------------
        Меняем пароль
        -----------------------------------------------------------------
        */
        $error = array ();
        $oldpass = isset($_POST['oldpass']) ? trim($_POST['oldpass']) : '';
        $newpass = isset($_POST['newpass']) ? trim($_POST['newpass']) : '';
        $newconf = isset($_POST['newconf']) ? trim($_POST['newconf']) : '';
        $autologin = isset($_POST['autologin']) ? 1 : 0;
        if ($user['id'] != $user_id) {
            if (!$newpass || !$newconf)
                $error[] = $lng_pass['error_fields'];
        } else {
            if (!$oldpass || !$newpass || !$newconf)
                $error[] = $lng_pass['error_fields'];
        }
        if (!$error && $user['id'] == $user_id && md5(md5($oldpass)) !== $user['password'])
            $error[] = $lng_pass['error_old_password'];
        if ($newpass != $newconf)
            $error[] = $lng_pass['error_new_password'];
        if (preg_match("/[^\da-zA-Z_]+/", $newpass) && !$error)
            $error[] = $lng['error_wrong_symbols'];
        if (!$error && (strlen($newpass) < 3 || strlen($newpass) > 50))
            $error[] = $lng_pass['error_lenght'];
        if (!$error) {
            // Записываем в базу
            mysql_query("UPDATE `users` SET `password` = '" . mysql_real_escape_string(md5(md5($newpass))) . "' WHERE `id` = '" . $user['id'] . "'");
            // Проверяем и записываем COOKIES
            if (isset($_COOKIE['cuid']) && isset($_COOKIE['cups']))
                setcookie('cups', md5($newpass), time() + 3600 * 24 * 365);
            echo '<div class="gmenu"><p><b>' . $lng_pass['password_changed'] . '</b><br />' .
                '<div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32"><a href="' . ($user_id == $user['id'] ? '/henshin.php' : 'profile.php?user=' . $user['id']) . '">' . $lng['continue'] . '</a></p></li></ul></div>';
            echo '</div>';
        } else {
            echo functions::display_error($error, '<a href="password.php">' . $lng['repeat'] . '</a>');
        }
        break;

    default:
        /*
        -----------------------------------------------------------------
        Форма смены пароля
        -----------------------------------------------------------------
        */
        echo '<div class="title">Thay đổi mật khẩu</div>';
        echo '<form action="password.php?mod=change" method="post">';
        if ($user['id'] == $user_id)
            echo '<div class="nav_menu"><ul id="menu-menu-1" class="menu"><li id="menu-item-32" class="menu-item menu-item-type-taxonomy menu-item-object-category menu-item-32"><p>Mật khẩu cũ:<br /><input type="password" style="width:95%;height:25px;" name="oldpass" /></p>';
        echo '<p>Mật khẩu mới:<br />' .
            '<input type="password" style="width:95%;height:25px;" name="newpass" /><br />Xác nhận mật khẩu mới:<br />' .
            '<input type="password" style="width:95%;height:25px;" name="newconf" /></p>' .
            '<p><input type="submit" value="' . $lng['save'] . ' cài đặt" name="submit" />' .
            '</p></li></ul></div></form>' .
            '<div class="title">Tối đa 50 kí tự</div>';
}
require('../incfiles/end.php');
?>